VIRTUAL CREDIT CARD - Bug #16500

Android [TREATS] It is still calling loyalty id when the treatsFlag= false

15 May 2023 09:25 PM - hsulynn pang

Status: Closed
Priority: High
Assignee: hsulynn pang
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

15 May 2023

0%
0.00 hour
0.00 hour

Description

Actual result: It is still calling loyalty id when treatsFlag= false
Expected result:

(1)

-BE return treats flag: true, then FE do the UPAY card checking

-if it is NOT UPAY bin, DON'T need to call loyalty id
-if it is UPAY bin, need to call loyalty id

(2)

-if BE return treats flag: false, then FE dont need to do the UPAY card checking.. also no need to call loyalty id because not involve

treats module

History

#1 - 16 May 2023 09:31 AM - hsulynn pang
- Priority changed from Normal to High

#2 - 16 May 2023 01:36 PM - hsulynn pang
- File treatsflag true upay.PNG added
- File treatsflag false upay.PNG added

- File treatsflag false non upay 2.PNG added
- File treatsflag true non upay.PNG added

tested
#3 - 16 May 2023 02:11 PM - Abdul Halim Baharom
- Status changed from New to Resolved

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#4 - 17 May 2023 04:19 PM - hsulynn pang
- File treatsflag true bin upay.PNG added

tested

#5 - 17 May 2023 04:59 PM - hsulynn pang

- Status changed from Resolved to Closed

tested

Files

treatsflag true upay.PNG
treatsflag false upay.PNG
treatsflag false non upay 2.PNG

16 April 2025

433 KB
431 KB
419 KB

16 May 2023
16 May 2023
16 May 2023

hsulynn pang
hsulynn pang

hsulynn pang

1/2




treatsflag true non upay.PNG 454 KB 16 May 2023 hsulynn pang
treatsflag true bin upay.PNG 445 KB 17 May 2023 hsulynn pang

16 April 2025 22
